#ifndef LANGUAGE_H
#define LANGUAGE_H

/* those are the reject codes defined in RFC 821.
   N.B. Those are environment variables, so you must leave the "RBLSMTPD=" (for 451) and "RBLSMTPD=-" (for 553) parts.*/
#define ENV_SMTP_REJECT_451 "RBLSMTPD=The message has been temporary rejected by dyn-host-filter. Please try again later!"
#define ENV_SMTP_REJECT_553 "RBLSMTPD=-The message has been rejected by dyn-host-filter!"

#define DHFSTR_PASSED "passed"
#define DHFSTR_BLOCKED "blocked"

#define DHFSTR_PASS "pass"
#define DHFSTR_BLOCK "block"

#define DHFSTR_451 "451"
#define DHFSTR_553 "553"

#define DHFSTR_ERROR "ERROR"
#define DHFSTR_ERROR_OPEN "Unable to open"
#define DHFSTR_ERROR_INVALID_REGEXP "Invalid regular expression"
#define DHFSTR_ERROR_READ "for reading"
#define DHFSTR_ERROR_TERMINATE "Terminating...."
#define DHFSTR_ERR_RESOLV "Unable to determine TCPREMOTEHOST for"

#define DHFSTR_HELP_USAGE "Usage"
#define DHFSTR_HELP_OPTIONS "Options"
#define DHFSTR_HELP_A "List both defaults and rules (same as -d -l)"
#define DHFSTR_HELP_D "List defaults"
#define DHFSTR_HELP_L "List rules"
#define DHFSTR_HELP_F "Use \"cfg-file\" instead of the default dhf.conf"
#define DHFSTR_HELP_T "The test entry to be matched against the defined rules"
#define DHFSTR_HELP_V "Print program name and version"
#define DHFSTR_HELP_H "Print this message"

#define DHFSTR_NORULES "No rules loaded"
#define DHFSTR_UNRESOLVED "Unresolved entry"

#endif
